#!/usr/bin/env python3

class Link:
	
	def __init__(self, availability = 1.0, destination = None):
		self.__name = "l->"+str(destination)
		self.__availability = float(availability)
		self.__to = destination
		
	@property
	def name(self):
		return self.__name
	
	@property
	def availability(self):
		return self.__availability
	
	@property
	def destination(self):
		return self.__to
	
	def __str__(self):
		return "<"+self.__name+", a:"+str(self.__availability)+">"
		
	def __repr__(self):
		return "<"+self.__name+", a:"+str(self.__availability)+">"

if __name__ == '__main__':
	links = [Link() for _ in range(0,3)]
	
	print (links)
