#!/usr/bin/env python
import time

class Timer:
    
    def __init__(self, timeLimit = None):
        self.__start = time.time()
        self.__timeLimit = timeLimit 
    
    def computingTime(self):
        return time.time() - self.__start
    
    def setTimeLimit(self, timeLimit):
        self.__timeLimit = timeLimit
    
    def reset(self):
        self.__start = time.time()
    
    def checkTimeLimit(self):
        return self.__timeLimit and self.computingTime() > self.__timeLimit