#!/usr/bin/env python

import pickle
import sys
import greedy_heuristic
import time
from lib.instance import readInstance



if __name__ == '__main__':
	
	instance = readInstance(sys.argv[1])

	start_time = time.time()
	balancing = sys.argv[2] == "True"
	protection = sys.argv[3] == "True"
	instance.objective = sys.argv[4]

	instance = greedy_heuristic.solve(instance, balancing, protection, False, "RANDOM")

	end_time = time.time()

	print(instance.stats())
	print("TotelTime %.6f" % (end_time - start_time))
	if len(sys.argv) == 6:
		instance.savePlacement(sys.argv[5], "TEXT")